{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/ocsp/status",
  "title": "OCSP status requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/ocsp/status/",
  "summary": "OCSP status requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2025-03-10T13:08:54-04:00",
  "page_type": "content",
  "content_hash": "62fe1570d5505143f9b07c37c1a64085a6ea02b965d2f28a417b87d259c8f15d",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-status) | `/v1/ocsp/status` | Get OCSP status |"
    },
    {
      "id": "get-status",
      "title": "Get OCSP status",
      "role": "content",
      "text": "GET /v1/ocsp/status\n\nGets the latest cached status of the proxy certificate’s OCSP response.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_ocsp_status](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_ocsp_status) |"
    },
    {
      "id": "get-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/ocsp/status \n\n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |"
    },
    {
      "id": "get-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns an [OCSP status object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/ocsp_status).\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-error-codes",
      "title": "Error codes",
      "role": "errors",
      "text": "When errors occur, the server returns a JSON object with `error_code` and `message` fields that provide additional information. The following are possible `error_code` values:\n\n| Code | Description |\n|------|-------------|\n| ocsp_unsupported_by_capability | Not all nodes support OCSP capability | \n| invalid_ocsp_response | The server returned a response that is not OCSP-compatible |"
    },
    {
      "id": "get-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | Success |\n| [406 Not Acceptable](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7) | Feature not supported in all nodes |"
    }
  ],
  "examples": [
    {
      "id": "get-response-ex0",
      "language": "json",
      "code": "{\n    \"responder_url\": \"http://responder.ocsp.url.com\",\n    \"cert_status\": \"REVOKED\",\n    \"produced_at\": \"Wed, 22 Dec 2021 12:50:11 GMT\",\n    \"this_update\": \"Wed, 22 Dec 2021 12:50:11 GMT\",\n    \"next_update\": \"Wed, 22 Dec 2021 14:50:00 GMT\",\n    \"revocation_time\": \"Wed, 22 Dec 2021 12:50:04 GMT\"\n}",
      "section_id": "get-response"
    }
  ]
}
